<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_ccd9e402149a" . "4aff4a20de187" . "781aa41" => base64_decode("c3" . "Rh" . "cn" . "Q="), "_ae18cd25271a5df" . "040f9a0b94fde51a" . "b" => base64_decode("Y2x" . "uX2" . "lk"), "_ef3a72fcbe857b2afe45cb9d" . "8cafb253" => base64_decode("ZW5" . "k"), "_3146fac6116b6cfbfb52924" . "1aa6c4614" => base64_decode("Zn" . "Vs" . "bA" . "=="), "_84929763267bc12007295ccd54f629" . "14" => base64_decode("Y29sb" . "3I="), "_8dabb06efc95df4cff7c4afe91857b" . "53" => base64_decode("bmFt" . "ZQ=="), "_2efc2c1faee" . "0ff1816817e9" . "45b9bd2f0" => base64_decode("LTEgbW9ud" . "Gg="), "_aac291547a403" . "778eb6591995cb" . "c2db9" => base64_decode("b" . "W" . "Q" . "="), "_85d1a5cd112f9c816e" . "198a44c17b2305" => base64_decode("Li4vY29tbW9uL2NhbGVuZGFy" . "X3BrZy5waHA="), "_d8c4ad80" . "bf9e8f2ff" . "7766b61d1" . "f5ea0b" => base64_decode("bGlua19" . "pZA=="), "_1f6779e91fd3ba3953dba6a" . "08c462ac5" => base64_decode("KzEgbW9udG" . "g="), "_59ac4def" . "5638636b8" . "e25ff64d5" . "f6c2c8" => base64_decode("Rg" . "=="), "_0ea4e32b5796" . "3ac0cb3057e03" . "e9aef64" => base64_decode("aWQ" . "="));





class CalendarMini extends ErrorHandler
{
    
    
    
    
    protected $date;
    
    
    
    
    protected $start_date;
    protected $event_array;
    protected $week_start_day;
    
    
    
    
    protected $now;
    
    
    
    
    
    
    protected $cln_ids;
    public function __construct($_d2cc62d335ad25b1ef74e7d3ef30c83a)
    {
        $this->week_start_day = $_d2cc62d335ad25b1ef74e7d3ef30c83a;
    }
    
    
    
    
    
    
    
    public function Init(DateDay $_67a0d624aebcceb0abd5ce56a53ff06f, $_ecae772125035be7dc4d38556a47ea8c)
    {
        require_once $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_85d1a5cd112f9c816e198a44c17b2" . "305"];
        $this->cln_ids = $_ecae772125035be7dc4d38556a47ea8c;
        $this->now = new DateDay();
        $this->date = new DateDay($_67a0d624aebcceb0abd5ce56a53ff06f);
        $_edba27c2338aecb284a6cc74c9b794ea = new CalendarControllerView($this->week_start_day);
        $_edba27c2338aecb284a6cc74c9b794ea->Init(new Date($this->date), CALENDAR_VIEW_MONTH);
        $this->start_date = $_edba27c2338aecb284a6cc74c9b794ea->getPeriodStart();
        if (empty($_ecae772125035be7dc4d38556a47ea8c)) {
            $events = $_edba27c2338aecb284a6cc74c9b794ea->GetEventsArrayInCalendars(null);
        } else {
            $events = $_edba27c2338aecb284a6cc74c9b794ea->GetEventsArrayInCalendars($_ecae772125035be7dc4d38556a47ea8c);
        }
        foreach ((array) $events as $event) {
            
            
            $_ccd9e402149a4aff4a20de187781aa41 = $event->GetStartDate()->getStartOfDay();
            $_ef3a72fcbe857b2afe45cb9d8cafb253 = $event->GetEndDate()->getEndOfDay();
            while ($_ef3a72fcbe857b2afe45cb9d8cafb253->after($_ccd9e402149a4aff4a20de187781aa41, 1)) {
                $this->event_array[$_ccd9e402149a4aff4a20de187781aa41->format($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_aac291547a403778eb" . "6591995cbc2db9"])][] = $event;
                $_ccd9e402149a4aff4a20de187781aa41->addDays(1);
            }
        }
    }
    public function GetMonthName()
    {
        return $this->date->format($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_59ac4def5638636b8e25ff64" . "d5f6c2c8"]);
    }
    public function GetPreviousMonthName()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = clone $this->date;
        $_67a0d624aebcceb0abd5ce56a53ff06f->modify($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2efc2c1faee0f" . "f1816817e945b9" . "bd2f0"]);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->format($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_59ac4def5638636b8e25ff64d5f6" . "c2c8"]);
    }
    public function GetNextMonthName()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = clone $this->date;
        $_67a0d624aebcceb0abd5ce56a53ff06f->modify($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_1f6779e91fd3ba3953" . "dba6a08c462ac5"]);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->format($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_59ac4def5638636b8e25ff64d5" . "f6c2c8"]);
    }
    
    
    
    
    
    
    
    
    public function GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = clone $this->start_date;
        $_cb9da9ebb63290264e0536d1e462a8d6 = 7 * $_b8cfc2e06d9d1fec1893ea4a054002bf + $_83dcb96e6497727bea94783c6ee8feb5;
        $_67a0d624aebcceb0abd5ce56a53ff06f->addDays($_cb9da9ebb63290264e0536d1e462a8d6);
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    
    
    
    
    public function IsCurrentMonth($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getMonth() == $this->date->getMonth();
    }
    public function GetDayNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getDay();
    }
    public function GetWeeksCount()
    {
        return $this->date->getWeeksInMonth();
    }
    public function IsDayHaveEvents($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        return isset($this->event_array[$_67a0d624aebcceb0abd5ce56a53ff06f->format($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_aac291547a403778eb6" . "591995cbc2db9"])]);
    }
    public function IsToday($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        return $this->now->getDate(DATE_FORMAT_DATE_DAY) == $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_DATE_DAY);
    }
    
    
    
    
    
    
    public function GetNextMonthDatePoint()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new Date($this->date);
        $_67a0d624aebcceb0abd5ce56a53ff06f->modify($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1f6779e" . "91fd3ba3" . "953dba6a" . "08c462ac" . "5"]);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_ISO_DATE);
    }
    
    
    
    
    
    
    public function GetPrevMonthDatePoint()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new Date($this->date);
        $_67a0d624aebcceb0abd5ce56a53ff06f->modify($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_2efc2c1faee0ff1816817e945b9bd2f" . "0"]);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_ISO_DATE);
    }
    public function GetCurrentMonthDatePoint()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new Date($this->date);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_ISO_DATE);
    }
    
    
    
    
    
    
    
    
    public function GetEventsOnDay($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_24a5101ad9295cf2103c538c496623f7 = CalendarToolKit::instance();
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        $_343a395319323dd7609bcbc465b4d034 = [];
        foreach ((array) $this->event_array[$_67a0d624aebcceb0abd5ce56a53ff06f->format($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_aac291547a403778e" . "b6591995cbc2db9"])] as $event) {
            
            
            
            $_d8c4ad80bf9e8f2ff7766b61d1f5ea0b = $event->GetId();
            if ($event->type === CALENDAR_TYPE_SYSTEM_EVENT) {
                $_d8c4ad80bf9e8f2ff7766b61d1f5ea0b = $event->GetEventKey();
            }
            $_343a395319323dd7609bcbc465b4d034[$_d8c4ad80bf9e8f2ff7766b61d1f5ea0b] = array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0ea4e32b57963ac0cb3057e0" . "3e9aef64"] => $event->GetId(), $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_ae18cd25271a5df04" . "0f9a0b94fde51ab"] => $event->GetClnId(), $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_8dabb06efc95df4cff7c4afe9" . "1857b53"] => $event->GetName(), $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_ccd9e402149a4aff4a20de187" . "781aa41"] => $event->GetStartDate()->getDate(DATE_FORMAT_ISO), $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_ef3a72fcbe857b2a" . "fe45cb9d8cafb253"] => $event->GetEndDate()->getDate(DATE_FORMAT_ISO), $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3146fac6116b6cfbfb529" . "241aa6c4614"] => $event->GetPeriod()->IsFullDay(), $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_84929763267bc12007295cc" . "d54f62914"] => $_24a5101ad9295cf2103c538c496623f7->GetCalendarById($event->GetClnId())->GetColor(), $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d8c4ad80bf9e8f2ff7766b61" . "d1f5ea0b"] => $_d8c4ad80bf9e8f2ff7766b61d1f5ea0b);
        }
        return $_343a395319323dd7609bcbc465b4d034;
    }
}